using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	
	public class Cyclone : BaseRanged
	{
		public override int EffectID{ get{ return 0x901; } }
		public override Type AmmoType{ get{ return typeof( TCyclone ); } }
		public override Item Ammo{ get{ return new TCyclone(); } }

		//public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.InfectiousStrike; } }
		//public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.Disarm; } }

		public override int AosStrengthReq{ get{ return 95; } }
		public override int AosMinDamage{ get{ return 22; } }
		public override int AosMaxDamage{ get{ return 25; } }
		public override int AosSpeed{ get{ return 34; } }

		public override int OldStrengthReq{ get{ return 95; } }
		public override int OldMinDamage{ get{ return 20; } }
		public override int OldMaxDamage{ get{ return 43; } }
		public override int OldSpeed{ get{ return 34; } }

		public override int DefMaxRange{ get{ return 12; } }

		public override int InitMinHits{ get{ return 71; } }
		public override int InitMaxHits{ get{ return 100; } }

		[Constructable]
		public Cyclone() : base( 0x901 )
		{
            Name = " Cyclone ";
            Weight = 5.0;
			Layer = Layer.OneHanded;

                                        
		}

		public Cyclone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}