using System;

namespace Server.Items
{
	public class TCyclone : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} TCyclone" : "{0} TCyclone", Amount );
			}
		}
		
		int ICommodity.DescriptionNumber { get { return LabelNumber; } }

		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public TCyclone() : this( 1 )
		{
		}

		[Constructable]
		public TCyclone( int amount ) : base( 0x901 )
		{
            Name = " Cyclones ";
			Hue = 38;
            Stackable = true;
			Amount = amount;
		}

		public TCyclone( Serial serial ) : base( serial )
		{
		}

		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}