using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	
	public class SoulGlaive : BaseRanged
	{
		public override int EffectID{ get{ return 0x090A; } }
		public override Type AmmoType{ get{ return typeof( TSoulGlaive ); } }
		public override Item Ammo{ get{ return new TSoulGlaive(); } }

		//public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.InfectiousStrike; } }
		//public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.Disarm; } }

		public override int AosStrengthReq{ get{ return 75; } }
		public override int AosMinDamage{ get{ return 17; } }
		public override int AosMaxDamage{ get{ return 21; } }
		public override int AosSpeed{ get{ return 38; } }

		public override int OldStrengthReq{ get{ return 75; } }
		public override int OldMinDamage{ get{ return 8; } }
		public override int OldMaxDamage{ get{ return 43; } }
		public override int OldSpeed{ get{ return 38; } }

		public override int DefMaxRange{ get{ return 12; } }

		public override int InitMinHits{ get{ return 31; } }
		public override int InitMaxHits{ get{ return 80; } }

		[Constructable]
		public SoulGlaive() : base( 0x090A )
		{
            Name = " Soul Glaive ";
			Weight = 3.0;
			Layer = Layer.OneHanded;

                                        
		}

		public SoulGlaive( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}