using System;

namespace Server.Items
{
	public class TAxe : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} TAxe" : "{0} TAxe", Amount );
			}
		}
		
		int ICommodity.DescriptionNumber { get { return LabelNumber; } }

		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public TAxe() : this( 1 )
		{
		}

		[Constructable]
		public TAxe( int amount ) : base( 0xF43 )
		{
            Name = " Throwing Axe ";
            Hue = 348;
			Stackable = true;
			Amount = amount;
		}

		public TAxe( Serial serial ) : base( serial )
		{
		}

		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}